/*
 * GToolKit - Objective-C interface to the GIMP Toolkit
 * Copyright (c) 1998, 1999, 2000, 2001  Elmar Ludwig
 *
 * Generated automatically from gtkcombo.h by gtkgen.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
#ifndef GTOOLKIT_GTKCOMBO_H
#define GTOOLKIT_GTKCOMBO_H

#include <gtk/gtkcombo.h>
#include <GToolKit/GTKHBox.h>

@class GTKItem;

@interface GTKCombo : GTKHBox
+ (GtkType) getType;
+ (id) combo;
- (id) init;
- (void) setValueInList:(gint) val okIfEmpty:(gint) ok_if_empty;
- (void) setUseArrows:(gint) val;
- (void) setUseArrowsAlways:(gint) val;
- (void) setCaseSensitive:(gint) val;
- (void) setItemString:(GTKItem*) item itemValue:(NSString *) item_value;
- (void) setPopdownStrings:(NSArray *) strings;
- (void) disableActivate;
- (id) entry;
- (GTKWidget *) list;
@end

#endif /* GTOOLKIT_GTKCOMBO_H */
